Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api
Interface ParameterManager

    public interface ParameterManager

Interface `ParameterManager` provide methods to get parameters information.

Method Summary
`void` | `clear()` Clears all resource.
`java.util.Hashtable<java.lang.String,ParamInfo>` | `getAllParameters()` Gets all parameters used in query.
`java.util.Hashtable<java.lang.String,ParamInfo>` | `getAllParameters(boolean refreshParamEnv)` Gets all parameters used in query.
`java.util.Vector<ParamInfo>` | `getAllParametersWithChanging(java.util.Map prop)` Gets all parameters used in query, then validate the parameters, if cascading parameter then change the relative parameters, finally return all sorted `ParamInfos`.
`boolean` | `haveParameters()` Checks if there is parameter used in query.
`java.util.Vector<ParamInfo>` | `paramValueChanged(java.lang.String paramName, java.lang.String paramValue)` Change all relative `ParamInfos` when cascading parameter changed.
`java.util.Vector<ParamInfo>` | `paramValueChanged(java.lang.String paramName, java.lang.String[] paramValues)` Changes all relative `ParamInfos` when cascading parameter changed.
`java.util.Vector<ParamInfo>` | `paramValueChanged(java.lang.String paramName, java.lang.String[] paramValues, long timeBaseLine)` Changes all relative `ParamInfos` when cascading parameter changed.
`java.util.Vector<ParamInfo>` | `paramValueChanged(java.lang.String paramName, java.lang.String paramValue, long timeBaseLine)` Change all relative `ParamInfos` when cascading parameter changed.

Method Detail

### haveParameters

    boolean haveParameters()
                           throws RptServerException

  Checks if there is parameter used in query.

  Returns:
    true if there is parameter used in query.
  Throws:
    `RptServerException` - if a RptServerException occurs.

### getAllParameters

    java.util.Hashtable<java.lang.String,ParamInfo> getAllParameters()
                                                                     throws RptServerException

  Gets all parameters used in query.

  Returns:
    Hashtable the key is uppercase parameter name, the value is `ParamInfo`.
  Throws:
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ParamInfo`

### getAllParameters

    java.util.Hashtable<java.lang.String,ParamInfo> getAllParameters(boolean refreshParamEnv)
                                                                     throws RptServerException

  Gets all parameters used in query.

  Parameters:
    `refreshParamEnv` - indicates whether to re-parse temple and data to retrieve parameters.
  Returns:
    Hashtable the key is uppercase parameter name, the value is `ParamInfo`.
  Throws:
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ParamInfo`

### paramValueChanged

    java.util.Vector<ParamInfo> paramValueChanged(java.lang.String paramName,
                                                  java.lang.String paramValue)
                                                  throws RptServerException

  Change all relative `ParamInfos` when cascading parameter changed.

  Returns:
    all `ParamInfos`, the `Vector` contains `ParamInfo` objects.
  Throws:
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ParamInfo`

### paramValueChanged

    java.util.Vector<ParamInfo> paramValueChanged(java.lang.String paramName,
                                                  java.lang.String paramValue,
                                                  long timeBaseLine)
                                                  throws RptServerException

  Change all relative `ParamInfos` when cascading parameter changed.

  Returns:
    all `ParamInfos`, the `Vector` contains `ParamInfo` objects.
  Throws:
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ParamInfo`

### paramValueChanged

    java.util.Vector<ParamInfo> paramValueChanged(java.lang.String paramName,
                                                  java.lang.String[] paramValues)
                                                  throws RptServerException

  Changes all relative `ParamInfos` when cascading parameter changed.

  Returns:
    all `ParamInfos`, the `Vector` contains `ParamInfo` objects.
  Throws:
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ParamInfo`

### paramValueChanged

    java.util.Vector<ParamInfo> paramValueChanged(java.lang.String paramName,
                                                  java.lang.String[] paramValues,
                                                  long timeBaseLine)
                                                  throws RptServerException

  Changes all relative `ParamInfos` when cascading parameter changed.

  Returns:
    all `ParamInfos`, the `Vector` contains `ParamInfo` objects.
  Throws:
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ParamInfo`

### getAllParametersWithChanging

    java.util.Vector<ParamInfo> getAllParametersWithChanging(java.util.Map prop)
                                                             throws RptServerException

  Gets all parameters used in query, then validate the parameters, if cascading parameter then change the relative parameters, finally return all sorted `ParamInfos`.

  Returns:
    all sorted `ParamInfos`, the `Vector` contains `ParamInfo` objects.
  Throws:
    `RptServerException` - if a RptServerException occurs.
  See Also:
    `ParamInfo`

### clear

    void clear()

  Clears all resource.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD